Hello,

In message "Re: Request patch to Win32API.c"
    on Mar.08,2004 21:09:40, <sdate / everestkc.net> wrote:
| > We are planning to deprecate Win32API.
| > So we don't want to add new features to Win32API.
| 
| When will this deprecation be in effect ?

We are planning to remove Win32API from Ruby distribution.
But we have not determined the time yet.
During 1.8 releases, Win32API will be contained in Ruby distribution.
But it may not be contained in 1.9 releases or 2.0 releases.


| I have some production code that largely depends on this API
| and I will like to start converting it to Ruby/DL ...

You can use lib/win32.rb instead of Win32API.
It is compatible layer for Win32API users.


Regards,
-- 
U.Nakamura <usa / garbagecollect.jp>